Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_Hash_Map_Iterator< EXT_ID, INT_ID, ACE_LOCK > Class Template Reference

Wrapper for backward compatibility. More...

`#include <Hash_Map_Manager_T.h>`

Inheritance diagram for ACE_Hash_Map_Iterator< EXT_ID, INT_ID, ACE_LOCK >:

[legend]
Collaboration diagram for ACE_Hash_Map_Iterator< EXT_ID, INT_ID, ACE_LOCK >:

[legend]
List of all members.

## Public Methods
| ACE_Hash_Map_Iterator (ACE_Hash_Map_Manager< EXT_ID, INT_ID, ACE_LOCK > &mm, int tail=0)
| Construct from map.
| ACE_Hash_Map_Iterator (const ACE_Hash_Map_Iterator_Ex< EXT_ID, INT_ID, ACE_Hash< EXT_ID >, ACE_Equal_To< EXT_ID >, ACE_LOCK > &base)
| Construct from base.
ACE_Hash_Map_Iterator< EXT_ID, INT_ID, ACE_LOCK > & | operator= (const ACE_Hash_Map_Iterator_Ex< EXT_ID, INT_ID, ACE_Hash< EXT_ID >, ACE_Equal_To< EXT_ID >, ACE_LOCK > &base)
| Assignment from base.

## Detailed Description

### template<class EXT_ID, class INT_ID, class ACE_LOCK>
class ACE_Hash_Map_Iterator< EXT_ID, INT_ID, ACE_LOCK >

Wrapper for backward compatibility.

## Constructor & Destructor Documentation

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_Hash_Map_Iterator< EXT_ID, INT_ID, ACE_LOCK >::ACE_Hash_Map_Iterator | ( | ACE_Hash_Map_Manager< EXT_ID, INT_ID, ACE_LOCK > & | mm,
|  | int | tail = 0
| ) |

| Construct from map.

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_Hash_Map_Iterator< EXT_ID, INT_ID, ACE_LOCK >::ACE_Hash_Map_Iterator | ( | const ACE_Hash_Map_Iterator_Ex< EXT_ID, INT_ID, ACE_Hash< EXT_ID >, ACE_Equal_To< EXT_ID >, ACE_LOCK > & | base | ) |

| Construct from base.

## Member Function Documentation

template<class EXT_ID, class INT_ID, class ACE_LOCK>
ACE_Hash_Map_Iterator< EXT_ID, INT_ID, ACE_LOCK > & ACE_Hash_Map_Iterator< EXT_ID, INT_ID, ACE_LOCK >::operator= | ( | const ACE_Hash_Map_Iterator_Ex< EXT_ID, INT_ID, ACE_Hash< EXT_ID >, ACE_Equal_To< EXT_ID >, ACE_LOCK > & | base | ) |

| Assignment from base.

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Hash_Map_Manager_T.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Hash_Map_Manager_T.i